[REL][SERVER][UNITS]Aurora-Artillery

Discussion in 'Released Mods' started by Heizmeister, January 6, 2016.

  1. Heizmeister

    Heizmeister Member

    Messages:
    76
    Likes Received:
    28
    So far I unfortunately could not find anything that would cause a crash in GW, however there where some errors in the logs. But i really don't know what they are referring to... If anyone could help me out here It'd be much appreciated. It seems to have something to do with the global.js in the UI folder, however, if I delete the global modlist from the modinfo.json and the mod folder, the problem still exists.

    Edit: I also tried to remove hodgepodge as a dependency but for some reason the modmanager does not let me uninstall it without disabling the artillery mod. Is there any way one can test and alter modfiles with out altering the zipfiles?

    Attached Files:

    Last edited: July 9, 2016
  2. dom314

    dom314 Post Master General

    Messages:
    894
    Likes Received:
    1,208
    That result is worked out by a script that checks all the files. Are you sure you intended to add _ent to the path of the file?
  3. Heizmeister

    Heizmeister Member

    Messages:
    76
    Likes Received:
    28
    Alright, I have changed the file-path like you said. It was indeed unneccessary to add _ent to the path as this referred to a json file which in return referred to the pfx.
    PA still crashes only in GW though and the sad thing is, I can't find the error as the logs dont show what happens at the point of the crash.
  4. Golahirom

    Golahirom New Member

    Messages:
    2
    Likes Received:
    1
    Your mod looks realy cool and I would like to try it out, but when I launch a game with it my build menu and command panel to the right is missing. I don't know if a update broke it or if I am missing something... Note: I have tried with ONLY this mod and it's dependencies.
  5. stuart98

    stuart98 Post Master General

    Messages:
    6,020
    Likes Received:
    3,902
    It's a consequence of new commanders not being in the unitlist.json. I'd fix it, but I'm in France right now. Until it's fixed, don't use the commanders introduced in the last update.
  6. Golahirom

    Golahirom New Member

    Messages:
    2
    Likes Received:
    1
    Ok makes sence actually. Well thanks for the response and help. Have a good continued stay in France.
    stuart98 likes this.
  7. Heizmeister

    Heizmeister Member

    Messages:
    76
    Likes Received:
    28
    Thanks for the heads up! I am going to fix it this week.
    stuart98 likes this.
  8. Heizmeister

    Heizmeister Member

    Messages:
    76
    Likes Received:
    28
    New Update!

    Changelog 2.4:

    - fixed the unit_list to include the new commanders and fixed a related crash as well
    - adjusted the guard radius for several units.

    -reduced the damage for the Meteor from 85 to 75
    -reduced the splashradius from 21 to 17
    -reduced the splashdamage from 70 to 50

    -remove files that were conflicting with other mods
  9. DeathByDenim

    DeathByDenim Post Master General

    Messages:
    4,363
    Likes Received:
    2,144
    Hey @Heizmeister ,
    It seems your mod is breaking Galactic War these days by disabling the "Go To War" button due to a JavaScript error.
    Code:
    [08:03:18.515] ERROR [JS/game] coui://ui/main/game/galactic_war/cards/gwc_splashradius_artillery.js:50: Uncaught SyntaxError: Unexpected token ;
    
    Hope you are still around to fix it. :)
  10. Heizmeister

    Heizmeister Member

    Messages:
    76
    Likes Received:
    28
    I am still around, however, since you can not play with mods anymore I don't know how effective a fix would be... I planned to take the GW-part out entirely though
  11. acesoyster

    acesoyster Active Member

    Messages:
    112
    Likes Received:
    176
    PAMM is now back in operation with a working server, so if you get a fix out it’ll certainly be useable
  12. Heizmeister

    Heizmeister Member

    Messages:
    76
    Likes Received:
    28
    Alright, I have removed the file that was causing the error, once I update the mod it should be working again. I have never understood why it was causing an error though.

    Edit:

    Mod has been updated and the issue has been fixed. I removed the whole mod from GW for now.
    Last edited: July 12, 2018
  13. MrTBSC

    MrTBSC Post Master General

    Messages:
    4,814
    Likes Received:
    1,841
    tested the mod, generally cool concept, may require new models to distinguish them from the vanilla units ..

    i´m not so sure about the massive spread these artillery units have and my god if you have a bunch of them they litter the screen with projectiles it´s kinda nuts ..
    nice effects though ..
  14. Heizmeister

    Heizmeister Member

    Messages:
    76
    Likes Received:
    28
    Yeah, new models are definately required. I am ,however, neither a 3d-modeller, nor do I have any time at the moment. The massive spread is kind of intended, as well as the slow projectile velocity. It is artillery after all. The effects are made by mirolog btw.

Share This Page